Subject: Re: [X2Go-Dev] Bug#620: x2goclient hides KDE kickoff start panel before application selection if panel auto hide option selected

From: Diego COSTE <[email-masked]>
Date: Fri, 26 Sep 2014 11:29:44 +0200

Hi Mike,

please remember this is only a minor problem, so do not waste too much time on it.
Anyway, here is my feedback:

On 25/09/14 11:57, Mike Gabriel wrote:
Ohhhh, now I get what you mean... We actually have a bug report like that:

I guess your issue and #492 [1] boil down to the same reason.

The problem is that NX in windowed desktop session mode does not handle it well, when the mouse pointer leaves the window / crosses the NX desktop window border.

=> Not sure it is the same issue as in my case the x2go window occupies one full screen (without window decorations), so the bottom of the screen is the bottom of the remote desktop, and I can not go further. When moving to the bottom of the screen in that mode the menu bar always gets displayed.

The problem occurs the same whether x2go is set to full screen or windowed mode.

Something strange: if I leave the screen or window by the proper edge (bottom left corner), the menu window:
 will disappear after the usual 1-2 seconds of this problem, but the menu bar:
remains displayed indefinitely instead of auto-hiding, as if the cursor was still stuck at the bottom left of the desktop.

Can you please do one thing for me? -> Launch a KDE session in Xephyr, using the same user profile. How does Xephyr handle it when the mouse pointer is moved to the bottom border of the windowed X11/Xephyr session?
Ok, I have tried
  Xephyr :1 -ac -screen 800x600 &
  export DISPLAY=:1
  dbus-launch /usr/bin/startkde
The default start menu is still set to auto-hide, but in Xephyr I have no problem: the menu remains open as long as the cursor stays on top of it.
I can even leave the Xephyr window by the bottom left corner and the menu remains displayed indefinitely together with the menu bar.

Thank you for your kind help
Diego